let public_fname = "peers.pub.conf"
let private_fname = "peers.priv.conf"

let fold_file fn init file = match open_in file with
	| exception (Sys_error msg) -> prerr_endline msg; init
	| file ->
		let rec read acc = try read (fn (input_line file) acc)
			with End_of_file -> close_in file; acc in
		read init
